// @generated by protobuf-ts 2.9.1
// @generated from protobuf file "services.proto" (package "proxy", syntax proto3)
// tslint:disable
import { ValidateTokenResponse } from "./messages";
import { ValidateTokenRequest } from "./messages";
import { ProxyInfoResponse } from "./api";
import { SuspendServerRequest } from "./api";
import { Server } from "./messages";
import { RemoveServerRequest } from "./api";
import { RemoveBackendRequest } from "./api";
import { RemoveRoutingRequest } from "./api";
import { Backend } from "./messages";
import { GetServerResponse } from "./api";
import { GetBackendResponse } from "./api";
import { GetRoutingResponse } from "./api";
import { Routing } from "./messages";
import { RemoveListenerRequest } from "./api";
import { Listener } from "./messages";
import { GetListenerResponse } from "./api";
import { Empty } from "./google/protobuf/empty";
import { ServiceType } from "@protobuf-ts/runtime-rpc";
/**
 * @generated ServiceType for protobuf service proxy.ApiServices
 */
export const ApiServices = new ServiceType("proxy.ApiServices", [
    { name: "GetListener", options: {}, I: Empty, O: GetListenerResponse },
    { name: "AddListener", options: {}, I: Listener, O: Empty },
    { name: "RemoveListener", options: {}, I: RemoveListenerRequest, O: Empty },
    { name: "AddRouting", options: {}, I: Routing, O: Empty },
    { name: "GetRouting", options: {}, I: Empty, O: GetRoutingResponse },
    { name: "GetBackend", options: {}, I: Empty, O: GetBackendResponse },
    { name: "GetServer", options: {}, I: Empty, O: GetServerResponse },
    { name: "AddBackend", options: {}, I: Backend, O: Empty },
    { name: "RemoveRouting", options: {}, I: RemoveRoutingRequest, O: Empty },
    { name: "RemoveBackend", options: {}, I: RemoveBackendRequest, O: Empty },
    { name: "RemoveServer", options: {}, I: RemoveServerRequest, O: Empty },
    { name: "AddServer", options: {}, I: Server, O: Empty },
    { name: "RemoveAllListener", options: {}, I: Empty, O: Empty },
    { name: "RemoveAllRouting", options: {}, I: Empty, O: Empty },
    { name: "RemoveAllBackend", options: {}, I: Empty, O: Empty },
    { name: "RemoveAllServer", options: {}, I: Empty, O: Empty },
    { name: "SuspendServer", options: {}, I: SuspendServerRequest, O: Empty },
    { name: "ProxyInfo", options: {}, I: Empty, O: ProxyInfoResponse }
]);
/**
 * @generated ServiceType for protobuf service proxy.Auth
 */
export const Auth = new ServiceType("proxy.Auth", [
    { name: "ValidateToken", options: {}, I: ValidateTokenRequest, O: ValidateTokenResponse }
]);
